Test and Measurement Forum

Picoscope drivers for linux with soft-float (armel)

Discussion forum for the new Picoscope Linux software

Picoscope drivers for linux with soft-float (armel)

Postby abovyan » Fri Nov 11, 2016 11:20 am


Our team is trying to integrate Picoscope6000 series to our system built on NI MyRIO board (NI RT Linux) and we face an architecture mismatch (armel vs armhf).
The system itself - The Cortex-A9 in the Zynq device does have a full IEEE 754-compliant FPU (the VFPv3). But NI Linux RT is using softfloat ABI for compatibility with most of the ARM world. We found that even if there is a binary-armel package descriptor in repository - https://labs.picotech.com/debian/dists/ ... ary-armel/ - there are no actual armel packages available.
Could you, please, check the possibility of having armel targeted distribution (actually just drivers, we don`t need GUI). In principle, if this is just about recompiling the stuff with $CC ... -mfloat-abi=softfp instead of -mfloat-abi=hard, maybe that won`t be too much effort. That would be of great help for many projects to have access to such a powerful hardware as Picoscopes.

Many thanks in advance.

Best Regards
Posts: 0
Joined: Fri Nov 11, 2016 10:52 am

Re: Picoscope drivers for linux with soft-float (armel)

Postby Hitesh » Tue Nov 15, 2016 10:07 am

Hello Sergey,

I will raise a new feature request for armel drivers.

If you wish to discuss your project further, please e-mail support@picotech.com


Technical Support Engineer
Site Admin
Site Admin
Posts: 2619
Joined: Tue May 31, 2011 3:43 pm
Location: St. Neots, Cambridgeshire

Return to PicoScope for Linux

Who is online

Users browsing this forum: No registered users and 0 guests